package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.yonge.cooleshow.common.enums.EPayerType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 支付三方账户配置
 * 2023-07-28 16:53:51
 */
@Data
@ApiModel(" PaymentMerchantConfig-支付三方账户配置")
@TableName("payment_merchant_config")
public class PaymentMerchantConfig implements Serializable {

    @ApiModelProperty("主键") 

    @TableId(value = "id_", type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("机构ID") 
	@TableField(value = "tenant_id_")
    private Long tenantId;

    @ApiModelProperty("支付类型 ADAPAY,YEEPAY")
    @TableField(value = "payer_type_")
    private EPayerType payerType;

    @ApiModelProperty("支付厂商") 
	@TableField(value = "payment_vendor_")
    private String paymentVendor;

    @ApiModelProperty("支付厂商") 
	@TableField(value = "payer_name_")
    private String payerName;

    @ApiModelProperty("平台收款商户号")
    @TableField(value = "platform_payee_member_id_")
    private String platformPayeeMemberId;


    @ApiModelProperty("商户ID") 
	@TableField(value = "app_id_")
    private String appId;

    @ApiModelProperty("商户简称（英文）") 
	@TableField(value = "mer_key_")
    private String merKey;

    @ApiModelProperty("商户Key") 
	@TableField(value = "api_key_")
    private String apiKey;

    @ApiModelProperty("Mock密钥") 
	@TableField(value = "mock_api_key_")
    private String mockApiKey;

    @ApiModelProperty("私钥") 
	@TableField(value = "rsa_private_key_")
    private String rsaPrivateKey;

    @ApiModelProperty("公钥") 
	@TableField(value = "rsa_public_key_")
    private String rsaPublicKey;

    @ApiModelProperty("拓展参数") 
	@TableField(value = "expend_params_")
    private String expendParams;

    @ApiModelProperty("微信Key") 
	@TableField(value = "wx_app_id_")
    private String wxAppId;

    @ApiModelProperty("微信密钥") 
	@TableField(value = "wx_app_secret_")
    private String wxAppSecret;

    @ApiModelProperty("支付宝Key") 
	@TableField(value = "alipay_app_id_")
    private String alipayAppId;

    @ApiModelProperty("支付宝私钥") 
	@TableField(value = "alipay_private_key_")
    private String alipayPrivateKey;

    @ApiModelProperty("支付宝公钥") 
	@TableField(value = "alipay_public_key_")
    private String alipayPublicKey;


    @ApiModelProperty("小程序appId")
    @TableField(value = "mini_app_id_")
    private String miniAppId;

    @ApiModelProperty("小程序secret")
    @TableField(value = "mini_app_secret_")
    private String miniAppSerret;


    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}