package com.yonge.cooleshow.biz.dal.wrapper.im;

import com.yonge.cooleshow.biz.dal.enums.ImGroupType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

@Data
public class ImGroupWrapper {

    @Data
    @ApiModel("ImGroup")
    public static class ImGroup {
        @NotBlank(message = "群编号不可为空")
        @ApiModelProperty(value = "主键;")
        private String id;

        @NotBlank(message = "群名称不能为空")
        @ApiModelProperty(value = "群名称")
        private String name;

        @ApiModelProperty(value = "群简介")
        private String introduce;

        @ApiModelProperty(value = "群成员数")
        private Integer memberNum;

        @ApiModelProperty(value = "群备注")
        private String memo;

        @ApiModelProperty(value = "群头像")
        private String img;

        @ApiModelProperty(value = "群类型:FAN粉丝群、COURSE课程群;ORG机构群")
        private ImGroupType type = ImGroupType.FAN;

        @ApiModelProperty(value = "创建人")
        private Long createBy;

        @ApiModelProperty(value = "是否自动通过审核")
        private Boolean autoPassFlag;

        @ApiModelProperty(value = "创建时间;")
        private Date createTime;

        @ApiModelProperty(value = "修改时间;")
        private Date updateTime;

        @ApiModelProperty(value = "课程组id")
        private Long courseGroupId;

        private Set<Long> studentIdList = new HashSet<>();
    }
}
